uniform sampler2D texture0;
varying vec4 gl_TexCoord[];
uniform float u_Elapsed;
// changes and additions by WyldAnimal
float decay=0.97815;
float exposure=0.92;
float density=0.966;
float weight=0.04767;
vec2 lightPositionOnScreen = vec2(0.5,0.45);
varying vec4 gl_TexCoord[];
const int NUM_SAMPLES = 100 ;

void main(void)
{	
	vec2 deltaTextCoord = vec2( gl_TexCoord[0].st - lightPositionOnScreen.xy );
	vec2 textCoo = gl_TexCoord[0].st;
	// THIS CONTROLS AREA OF AFFECT
	deltaTextCoord *= 0.85 /  float(NUM_SAMPLES) * density;
	// THIS CONTROLS LENGHT OG RAYS
	float illuminationDecay = 2.5;
	
// INITILIZE
    gl_FragColor = vec4(0.0);
	
	for(int i=0; i < NUM_SAMPLES ; i++)
    {
             textCoo -= deltaTextCoord;
             vec4 sample = texture2D(texture0, textCoo );
		
		// THIS IS SPEED OF PULSATIONS - FAST
             sample *= illuminationDecay * (weight + cos(u_Elapsed*100000.0)/500.0);
         //    sample *= illuminationDecay * weight;// + cos(u_Elapsed*1000.0)/500.0);


             gl_FragColor += sample;

             illuminationDecay *= decay;
     }
     gl_FragColor *= exposure;
    //gl_FragColor = vec4(0.9,0.0,0.9,0.8);
}
